PL/php - Bug #4973

SPI functions can crash the backend
11/25/2005 07:03 AM - Alvaro Herrera

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: Alvaro Herrera % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.1

Resolution: fixed

Description

Creating an invalid array can make spi_fetch_row crash. Example function:

create function crash() returns void language plphp as $$
$Sa = array('res' => 123);
spi_fetch_row($a);

$S;

Just invoking this function makes PL/php crash. This is because the server tries to dereference a pointer that the user can change.
This is stupid. The solution seems to be to change the SPI functions to use PHP "resources".

History

#1 - 11/26/2005 06:50 AM - Alvaro Herrera
- Status changed from New to Closed

- Resolution set to fixed

Fixed in r20.

#2 - 05/29/2006 07:31 AM - bford -
Keep a good job up! http:/quick-adult-links.com

#3 - 05/31/2006 02:29 AM - bford -

<div style="overflow:auto; height: 1lpx;">

<a href="http://freett.com/fragrancee/custom-fragrance.html">custom fragrance</a>

<a href="http://freett.com/llight/outdoor-lamp-post.html">outdoor lamp post</a>

<a href="http://freett.com/fragrancee/lancome-fragrance.html">lancome fragrance</a>

<a href="http://www.visit2denmark.com/new/overnight-tramadol.html">overnight tramadol</a>

<a href="http://freett.com/fragrancee/ralph-lauren-fragrance.html">ralph lauren fragrance</a>

<a href="http://freett.com/1llight/contemporary-table-lamp.html">contemporary table lamp</a>

<a href="http://freett.com/l1light/outdoor-lighting-fixtures.html">outdoor lighting fixtures</a>

<a href="http://freett.com/aircond/air-conditioner-compressor.html">air conditioner compressor</a>
<a href="http://freett.com/aircond/air-conditioner.html">air conditioner</a>

<a href="http://freett.com/1llight/kitchen-island-lighting.html">kitchen island lighting</a>

<a href="http://freett.com/llight/fragrance-lamp.html">fragrance lamp</a>

<a href="http://freett.com/1llight/outdoor-decorative-lighting.html">outdoor decorative lighting</a>
<a href="http://freett.com/llight/antique-lamp.html">antique lamp</a>

<a href="http://freett.com/llight/fragrance-lamp.html">fragrance lamp</a>

<a href="http://freett.com/aircond/air-conditioner-part.html">air conditioner part</a>

<a href="http://freett.com/llight/halogen-desk-lamp.html">halogen desk lamp</a>

<a href="http://freett.com/1llight/billiard-lighting.html">billiard lighting</a>

<a href="http://www.infused-solutions.com/forums/include/phentermine-buy.html">phentermine buy</a>
<a href="http://www.infused-solutions.com/forums/include/phentermine-pharmacies.html">phentermine pharmacies
</a>

<a href="http://freett.com/fragrancee/exotic-fragrance.html">exotic fragrance</a>

<a href="http://freett.com/fragrancee/lancome-fragrance.html">lancome fragrance</a>

<a href="http://www.visit2denmark.com/new/tramadol-ultram.html">tramadol ultram</a>

<a href="http://www.visit2denmark.com/new/buy-cheap-tramadol.html">buy cheap tramadol</a>

<a href="http://freett.com/fragrancee/women-fragrance.html">women fragrance</a>

<a href="http://www.visit2denmark.com/new/tramadol-line.html">tramadol line</a>

</div>
#4 - 06/02/2006 09:07 PM - bford -
//freett.com/bed/adjustable-bed-mattress.html">adjustable bed mattress</a>
//freett.com/cologne/polo-cologne.html">polo cologne</a>
//freett.com/bed/beach-scene-bed-linens.html">beach scene bed linens</a>
//freett.com/bed/bed-in-a-bag-linens.html">bed in a bag linens</a>
//www.free-space.at/perfume/lauren-perfume.html">lauren perfume</a>
//www.free-space.at/perfume/perfume-chrome-azzaro.html">perfume chrome azzaro</a>
//www.infused-solutions.com/forums/include/cialis—-home.html">cialis home</a>
//freett.com/bed/hospital-bed-designs—cots.html">hospital bed designs cots</a>
//www.free-space.at/perfume/chloe-perfume.html">chloe perfume</a>
//freett.com/bed/wholesale-bed-sheets.html">wholesale bed sheets</a>
//freett.com/bed/jennifer-sofa-bed.html">Jjennifer sofa bed</a>
//www.infused-solutions.com/forums/include/cialis-levitra.html">cialis levitra</a>
//freett.com/bed/kid-canopy-bed.html">kid canopy bed</a>
//www.free-space.at/perfume/antique-perfume-bottles.html">antique perfume bottles</a>
//www.free-space.at/perfume/ultima-ii-perfume.html">ultima ii perfume</a>
//www.free-space.at/perfume/jessica-mcclintock-perfume.html">jessica mcclintock perfume</a>
//freett.com/bed/twin-canopy-bed.html">twin canopy bed</a>
//freett.com/bed/cosco-toddler-bed.html">cosco toddler bed</a>
//www.free-space.at/perfume/eternity-perfume.html">eternity perfume</a>
//freett.com/bed/wolf-tanning-bed.html">wolf tanning bed</a>
//freett.com/bed/sofa-bed-mattresses.html">sofa bed mattresses</a>
//freett.com/bed/kid-furniture-bunk-bed.html">kid furniture bunk bed</a>
//www.free-space.at/perfume/joy-perfume.html">joy perfume</a>
//freett.com/cologne/cologne-for-men.html">cologne for men</a>
//www.free-space.at/perfume/anne-klein-perfume.html">anne klein perfume</a>
